CodeForces

来源:互联网 发布:it是哪个国家 编辑:程序博客网 时间:2024/06/06 05:13

ACM ICPC

In a small but very proud high school it was decided to win ACM ICPC. This goal requires to compose as many teams of three as possible, but since there were only 6 students who wished to participate, the decision was to build exactly two teams.

After practice competition, participant number i got a score of ai. Team score is defined as sum of scores of its participants. High school management is interested if it's possible to build two teams with equal scores. Your task is to answer that question.

Input
The single line contains six integers a1, ..., a6 (0 ≤ ai ≤ 1000) — scores of the participants

Output
Print "YES" (quotes for clarity), if it is possible to build teams with equal score, and "NO" otherwise.

You can print each character either upper- or lowercase ("YeS" and "yes" are valid when the answer is "YES").

Example
Input
1 3 2 1 2 1
Output
YES
Input
1 1 1 1 1 99
Output
NO
Note
In the first sample, first team can be composed of 1st, 2nd and 6th participant, second — of 3rd, 4th and 5th: team scores are 1 + 3 + 1 = 2 + 1 + 2 = 5.

In the second sample, score of participant number 6 is too high: his team score will be definitely greater.

题意:六个数字排列后能否变成前三个数的和等于后三个数的和。

思路:暴力一下下。。。

#include<stdio.h>#include<iostream>#include<algorithm>using namespace std;int a[10];int b[10];int book[10];int ans;void  dfs(int x){    if(x==6)    {        if((b[0]+b[1]+b[2])==(b[3]+b[4]+b[5]))        {            ans++;            return ;        }    }    for(int i=0; i<6; i++)    {        if(book[i]==0)        {            b[x]=a[i];            book[i]=1;            dfs(x+1);            book[i]=0;        }    }    return ;}int main(){    for(int i=0; i<6; i++)    {        cin>>a[i];    }    dfs(0);    //cout<<ans<<endl;    if(ans==0)        cout<<"NO"<<endl;    else         cout<<"YES"<<endl;}


原创粉丝点击